package com.liangjian.dataplatform.member.service;

import com.liangjian.dataplatform.member.entity.po.secondary.UserLevelDesc;
import com.liangjian.dataplatform.member.entity.po.secondary.UserLevelUnit;
import com.liangjian.dataplatform.member.entity.vo.request.LevelListAndDesc;

import java.util.List;
import java.util.Optional;

/**
 * @Author: 黄子奇
 * @Date: 2019/11/15
 */
public interface IUserLevelService {
    UserLevelDesc getLevelDesc();

    boolean setLevelDesc(UserLevelDesc userLevelDesc);

    List<UserLevelUnit> getAllLevelUnit();

    Optional<UserLevelUnit> getById(String id);

    boolean addUserLevelUnit(UserLevelUnit userLevelUnit);

    boolean saveUserLevelUnit(UserLevelUnit userLevelUnit);

    boolean deleteUserLevelUnit(String id);

    Optional<UserLevelUnit> getLevelIn(Integer balance);

    boolean saveAll(LevelListAndDesc levelListAndDesc);
}
